$(function() {
    var taskNumber = utils.getStorageItem("taskNumber");
    var testDatasets = utils.getStorageItem("testDatasets");
    var testingSpeed = utils.getStorageItem("testingSpeed");
    var $button = $("button");
    var $h1 = $("h1");
    var $p = $("p");
    
    $button.click(function() {
        logger.log("-- START TASK " + utils.getStorageItem("taskNumber") +
                " (" + utils.getStorageItem("dataset") + ", " +
                utils.getStorageItem("animationSpeed") +
                ") --");
        window.open("twinlist.html");
    });
    
    if (testDatasets.length === 0) {
        $h1.text("All tasks complete.");
        $p.text("Please ask the moderator for further instructions.");
        $button.remove();
        
        logger.log("-- END TASK 8 --");
        logger.dump();
    } else {
        $h1.text("Task " + taskNumber + " of 8 complete.");
        
        if (taskNumber === "0") {
            $h1.text("Training complete.");
            $p.text("Click below to move on whenever you're ready.");
        
            utils.setStorageItem("animationSpeed", testingSpeed);
        } else {
            logger.log("-- END TASK " + taskNumber + " --");
            
            if (taskNumber === "4") {
                $p.text("STOP and ask the moderator for further instructions.");
                $p.addClass("warning");
                
                testingSpeed = utils.getStorageItem("testingSpeed");
                testingSpeed = testingSpeed === "__ANIMATION_SPEED_3__" ?
                        "__ANIMATION_SPEED_0__" : "__ANIMATION_SPEED_3__";
                utils.setStorageItem("animationSpeed", testingSpeed);
            } else {
                $p.text("Take a quick break, ask questions, if you have " +
                        "any; move on whenever you're ready.");
            }
        }
        testDatasets = testDatasets.split(",");
        var nextDataset = testDatasets.shift();
        utils.setStorageItem("dataset", nextDataset);
        utils.setStorageItem("testDatasets", testDatasets.toString());
        
        $button.text("Start task " + (++taskNumber));
        utils.setStorageItem("taskNumber", taskNumber);
    }
});
